package com.fjhx.victoriatourist.mapper.excess;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsInfo;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 多货登记 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2024-03-27
 */
public interface ExcessGoodsInfoMapper extends BaseMapper<ExcessGoodsInfo> {

    /**
     * 多货登记列表
     */
    List<ExcessGoodsInfoVo> getList(@Param("ew") IWrapper<ExcessGoodsInfo> wrapper);

    /**
     * 多货登记分页
     */
    Page<ExcessGoodsInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExcessGoodsInfo> wrapper);

}
